//
// C++ Interface: ZFileBrowserFtab
//
// Description: 
//
//
// Author: root <root@andLinux>, (C) 2008
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef ZFILEBROWSERFTAB_H
#define ZFILEBROWSERFTAB_H

#include "QDaemonApp.h"
#include "resources.h"

///#include <ZSingleCaptureDlg.h>
#include <ZAppInfoArea.h>
#include <ZListBox.h>

#include <qpixmapcache.h>
#include <qtextstream.h>
#include <qdatetime.h>
#include <qtimer.h>
#include <qdir.h>

#include <dirent.h>
#include <stdlib.h>
#include <math.h>

struct mime_struct
{
	QString type;
	int app;
	int pm;
};

//enum ViewMode{ List, Detail, Thumbnail, Slide, Flow } ;
//enum ListBoxType { NormalListItem , CheckboxListItem, RadioListItem };


class FileBrowserFtab : public ZListBox
{
  Q_OBJECT
  public:
    FileBrowserFtab(bool FullInfo, QString arg1, QWidget* arg2, unsigned int arg3, ZSkinService::WidgetClsID arg4 = ZSkinService::clsZListBox1);
    virtual ~FileBrowserFtab();
    
    void setDir(const QString &sPath, int act_item);
	void setFullInf();
	int getActItem() { return ActItem; }
    QString getFileName() { return sFileName; }
	//QString getMultiFileName() { return mFileName; }
    QString getFilePath() { return sBasePath; }
	QString get_Mime(QString file_name);
    QString getProgramDir(const QString &AFileName);
	QString fDate(QDateTime date_time);
	void loadPic(QPixmap &pic, QString way);
    //QString ProgramDir;
	//void PmLink();
	//--- 
    void switchMultiSelect();
    bool multi_sel;
    bool MultiSel() { return multi_sel; };
    QString FListType;
    QStringList  getChkFileList();
	
	//-----------------------------
	QTimer*	prev_timer;
	//QPainter p;
	QPixmap pixmap/*, pm_link[2]*/;
	int pre_i;
	bool pre_next;
	int FullInf;
	/*int mime_id;
	int pm_id[999];
	QString mime_type[999];*/
    bool makedir(const QString &ASource, const QString &AName);
    
  signals:
    void picked(const QString &sFileName);
    void isFilePicked(bool);
       
    
  private slots:
    void itemHighlighted(int index);
    void itemSelected(int index); 
	void LoadPreview();
        
  private:
    QString nameFilter;
    QString sBasePath;
    QString sFileName;
	int ActItem;
    
    bool OnlyDirs;

  protected:
    virtual void keyPressEvent(QKeyEvent* e);
};

#endif
