/* 
 * File:   fm.h
 * Author: tiho = rusiki
 *
 * Created on February 14, 2009, 2:19 AM
 */

#ifndef _FM_H
#define	_FM_H

#include "FileBrowserFtab.h"

///#include "tools/scrProcess.h"
#include "tools/TextInput.h"

#include <ZKbMainWidget.h>
#include <ZNavTabWidget.h>
///#include <ZProgressDlg.h>
#include <ZOptionsMenu.h>
#include <ZSoftKey.h>

#include <qcopchannel_qws.h>

struct plugin_struct
{
	QString name;
	int id;
	int type;
};

class FM: public ZKbMainWidget
{
    Q_OBJECT
public:
    FM();
    ~FM();
    QString ProgDir;
    void createSoftKeys();
    void createSoftKeysFtab();
    void createSoftKeysStab();
    void createFtab(QString path);
    void createStab(QString path);
	
	QString getActiveFileName();
	QStringList getActiveFileNames();
	bool getActiveMultiStat();
	
    QString getFilePath(const QString &AFileName);
    QString getFileName(const QString &AFileName);
    QString getMime(const QString file_name);
	QString ExecFormat(const QString file_name);
	QString countSize(double size);
	int GetDirSize(const QString &path);
	int folder_num;int file_num;
	
    bool DeleteFile ( QString AFileName );
    void ChkCopy(QString from, QString to);
    void ChkMove(QString from, QString to);
	void copy(QString from, QString to);
	bool CopyFile(QString ASourceName, QString ADestName);///
	QStringList GetFilesInFolder(const QString &path);///
    ZNavTabWidget* tabWidget;
    ZSoftKey* softKey;
    ZOptionsMenu* menu;
		ZOptionsMenu* open_with_menu;
		ZOptionsMenu* pravka_menu;
		ZOptionsMenu* bookmark_menu;
	//ZOptionsMenu* rename_menu;
    FileBrowserFtab* ftab;
    FileBrowserFtab* stab;
    int tabrn;
	///ZLineEdit* memo;
    QStringList st;
    QWidget *aboutWidget;
// ------------ tools:
	///CopyTool*	copyTool;
	///ScrProcess* ProcessScreen;
	
	TextInput* textInput;
// -------------------------
	void ReadConfig();
	void MimeConfig();
	void PluginConfig();
	void BookmarkConfig();
	void LoadLang();
	void drawAbout();
	
	QPixmap about_widget;
	QString		title, text1, text2, text3, text4, text5;
	bool ypoCkhc();
// -------------------------
	bool push_green;
	int push_but;

// ------------ bookmark:
	QStringList bm_name;
	QStringList bm_path;
/**
// ------------- mime:
	int mime_app[999];
	QStringList mime_type;

// ------------- plugins:
	int plug_nums;
	QString plugin[100];
	int plugin_id[100];
	int plugin_type[100];*/
	bool searchPlugin(QString plug_name);

// -------------------------
	QCopChannel *cop;
	
public slots:
	void slotCurrentChanged(QWidget* AWidget);
	void slot_Copy();
		void slot_CopyTo();
	void slot_Move();
		void slot_MoveTo();
	void slot_MkDir();
	void slot_Delete();
	void slot_Rename();
	void slot_SendBt();
	void slot_Properties();

	void CloseProgramm();

	void slot_BookMark();
	void slot_AddBookMark();

	void SVKPlayer();

	void slot_OpenWith();
	void slot_ClickFile(bool);

	void slotQCopReceived(const QCString &msg);
	
protected:
    virtual void keyPressEvent(QKeyEvent* k);
	virtual void keyReleaseEvent(QKeyEvent* k);
};


#endif	/* _FM_H */

