/* 
 * File:   main.cpp
 * Author: tiho = rusiki
 *
 * Created on February 14, 2009, 2:17 AM
 */

#include <stdlib.h>
#include "util.h"
#include "fm.h"
#include <qfontmanager_qws.h>
#include <qfontdatabase.h>
#include <qwallpaper.h>

#include "ConfigRead.h"

QDaemonApp* a;
util *u;
FM *fsman;

int main(int argc, char **argv)
{
	QDaemonApp app(argc, argv);
	if (QCopChannel::isRegistered("FsMan"))
	{
		QCopChannel::send("FsMan", "show()");
		return 0;
	}
	else
	{
		QWallpaper::setAppWallpaperMode(QWallpaper::Off);
		u = new util();
		a = new QDaemonApp(argc, argv);
		
		readConfig(u->getProgramDir());
		
		QFontFactory *factory = qt_fontmanager->factories.at(0);
		QDiskFont *qdf = new QDiskFont(factory, "KolertsFont", false, 25, 0, "s",work_folder+"res/font.ttf");
		QDiskFont *qdf_b = new QDiskFont(factory, "KolertsFont", false, 87, 0, "s",work_folder+"res/font.ttf");
		qt_fontmanager->diskfonts.append(qdf);
		qt_fontmanager->diskfonts.append(qdf_b);
		QFontDatabase::qwsAddDiskFont(qdf);
		QFontDatabase::qwsAddDiskFont(qdf_b);
		
		fsman = new FM();
		QFont font("KolertsFont",14,25,false);
		fsman->setFont(font);
		a->setMainWidget(fsman);
		fsman->show();
		return a->exec();
	}
}

