/* 
 * File:   fm.h
 * Author: tiho = Strelok Vlad Kolerts
 *
 * Created on February 14, 2009, 2:19 AM
 */

#ifndef	ZTEXTINPUT_H
#define	ZTEXTINPUT_H

//#include "../QDaemonApp.h"
//#include <ZApplication.h>
#include <qscrollview.h>
#include <ZMultiLineEdit.h>
#include <ZOptionsMenu.h>
#include <qlabel.h>

class TextInput : public QWidget
{
	Q_OBJECT
public:
	TextInput(QString progDir);
	bool showText(QString titl, QString txt, QString icon);
	void Init();
	
	QString lCopy, lPaste, lYes, lNo;
	QString LineText;
	
public slots:
	///void Mark();
	void Copy();
	///void Cut();
	void Paste();

private:
	QString getProgramDir(const QString &AFileName);
	QScrollView* panel;
	QLabel* Label;
	ZMultiLineEdit* line;
	ZOptionsMenu* menu;
	
	///bool isMarked;
	///int m_x, m_y;
	
	///int scroll;
	
	QString softLabel;
	QString ProgDir;
	
	bool question;
	bool reply;
protected:	
    virtual void keyPressEvent(QKeyEvent* k);
};

#endif
