/* 
 * File:   fm.h
 * Author: tiho = Strelok Vlad Kolerts
 *
 * Created on February 14, 2009, 2:19 AM
 */

#ifndef	KWIDGET_H
#define	KWIDGET_H

#include "../fm.h"
#include <qfontmetrics.h>
#include <qpixmapcache.h>
///#include <qmovie.h>

class kWidget : public QWidget
{
	Q_OBJECT
public:
	kWidget();
	void init();
	void stop(int c);
	
	QPainter p;
	QPixmap pm;
	QPixmap ani_pm;
	///QMovie*	gif;
	QTimer* ani_timer;
	QFont font;
	bool breaking;
//	QString lang_but1, lang_but2;
	
	bool showText(QString titl, QString txt, int align, QString icon, int type);
	void showProcess(QString titl, QString txt, int align, QString txt1, int align1, QString icon, int can_break);
	
	bool Show(int type);
	void drawTitle(QString text, QString icon);
	void drawText(QString text, int align);
	void drawAniIcon();
	void drawSoftKeys(int type);
	//void drawSeparate(QString but1, QString but2, QColor col, QColor bg_col, QColor border_col);

	void setText(QString str);

	void focusOutEvent(QFocusEvent *);
	void focusInEvent(QFocusEvent *);

public slots:
	void paint();
	void aniUpdate();

private:
	///int scroll;
	QStringList Text;
	bool showing;
	int pos, ani_pos, ani_i, ani_c, line_h;
	bool question, reply;
	
	void repaint();
protected:	
    virtual void keyPressEvent(QKeyEvent* k);
};

#endif
